<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");
$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

$sqlGrupo = "SELECT * FROM cliente WHERE id_cli = '$id_fk_cliente_fact'";
$conGrupo = $bdFact->consulta($sqlGrupo);
$resGrupo = $bdFact->fetch_assoc($conGrupo);
$comentario = utf8_decode($resGrupo['nom_cli']);

if($estadoUs=='-'): 
    $var = '1'; 
else: 
    $var = 'activo='.$estadoUs; 
endif;

//Valido si no hay empresas parecidas
$sqlUserRela = "SELECT * FROM user WHERE $var order by nombre";
$conUserRela = $bdOut -> consulta("$sqlUserRela");	
$nro=1;
while($resUserRela = $bdOut -> fetch_assoc($conUserRela)):
    $id_master_fk_user=$resUserRela['id_master_fk_user'];
    $nombreUs=utf8_decode($resUserRela['nombre']);
    $id_user=$resUserRela['id_user'];
    $login=$resUserRela['login'];
    $password=$resUserRela['password'];
    $activo=$resUserRela['activo'];
    $comentario=utf8_decode($resUserRela['comentario']);

    $array_usuario_rela[]=array('nro_user_mas'=>$nro++, 'id_user_cta_user'=>$id_user, 'id_cta_fk_user'=>$id_master_fk_user, 'id_user_fk_user'=>$id_user, 'nombre_plano_user'=>'', 'nombre_user'=>$nombreUs, 'login_user'=>$login, 'password_user'=>$password, 'activo_user'=>$activo, 'comentario_user'=>$comentario);

endwhile;

/*echo "<br><br>";
echo "array_usuario_rela: ";
echo('<pre>');
var_dump($array_usuario_rela);
echo('</pre>');*/

//Vista de la relación de datos
require("out_lista_usuarios_vista.php");
?>